# List all roles

```http
GET https://api.axiom.co/v2/rbac/roles
```

Lists the custom roles in the organization with their capabilities and the IDs of users assigned each role directly. Built-in roles such as `axiom-admin` aren't included.

## Authentication

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: `Authorization: Bearer <token>`. For more information, see [Tokens](/reference/tokens).

## Responses

### 200: Custom roles in the organization.

Content type: `application/json`

Type: array of `RoleWithID`

## Schemas

### RoleWithID

Extends the base Role type to include a unique identifier

All of the following:

- `Role`
- Object with:
  - `id` (string; required): Unique identifier for the role

### Role

Defines a role and its associated permissions within the system

Object.

- `datasetCapabilities` (`roleDatasetCapabilities`)
- `description` (string): Detailed description of the role's purpose and scope
- `members` (array of string): IDs of users assigned this role directly. Returned in responses and ignored in requests. To assign a role to a user, use the Update user role endpoint.
- `name` (string; required): Unique name identifier for the role
- `orgCapabilities` (`roleOrgCapabilities`)
- `viewCapabilities` (`roleViewCapabilities`)

### roleDatasetCapabilities

Defines the available permissions for dataset operations

Type: map of string to object

### roleOrgCapabilities

Defines organization-wide permissions and capabilities

Object.

- `annotations` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of annotations across the organization
- `apiTokens` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of API tokens for authentication
- `auditLog` (array of string; one of `"read"`): Controls access to organization audit logs
- `billing` (array of string; one of `"read"`, `"update"`): Controls access to billing information and settings
- `dashboards` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of organization dashboards
- `datasets` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of organization datasets
- `endpoints` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of API endpoints
- `integrations` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of third-party integrations
- `labels` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of labels
- `monitors` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of monitoring
- `notifiers` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of notification settings
- `rbac` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls access to role-based access control settings
- `sharedAccessKeys` (array of string; one of `"read"`, `"update"`): Controls the management of shared access keys
- `users` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls user management within the organization
- `views` (array of string; one of `"create"`, `"read"`, `"update"`, `"delete"`): Controls the management of data views

### roleViewCapabilities

Defines the available permissions for view operations

Type: map of string to object